Name:           ring-kde
Summary:        The KDE client for the Ring communication framework
Version:        2.3.0
Release:        %mkrel 2
Group:          Graphical desktop/KDE5
License:        GPLv2+
URL:            https://ring.cx/
Source0:        http://download.kde.org/stable/ring-kde/%{version}/src/%{name}-%{version}.tar.xz
Patch0:         ring-kde-2.3.0-use-ki18n_install-for-translations.patch
Patch1:         ring-kde-2.3.0-fix-desktop-file.patch
#----------------------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: mesa-devel
BuildRequires: qtbase5-common-devel 
BuildRequires: extra-cmake-modules
BuildRequires: libkconfig-devel 
BuildRequires: libkcoreaddons-devel 
BuildRequires: libkf5completion-devel 
BuildRequires: libkf5configwidgets-devel 
BuildRequires: libkf5dbusaddons-devel 
BuildRequires: libkf5globalaccel-devel 
BuildRequires: libkf5i18n-devel 
BuildRequires: libkf5iconthemes-devel 
BuildRequires: libkf5notifications-devel 
BuildRequires: libkf5notifyconfig-devel 
BuildRequires: libkf5widgetsaddons-devel 
BuildRequires: libkf5xmlgui-devel 
BuildRequires: libkio-devel 
BuildRequires: libmesaglu1-devel 
BuildRequires: libqt5core-devel 
BuildRequires: libqt5dbus-devel 
BuildRequires: libqt5gui-devel 
BuildRequires: libqt5opengl-devel 
BuildRequires: libqt5printsupport-devel 
BuildRequires: libqt5svg-devel
BuildRequires: libqt5widgets-devel 
BuildRequires: libringclient-devel 
#----------------------------------------------------
Requires: ring-daemon
Obsoletes: sflphone
Provides: sflphone = %version-%release

%description
The KDE client for the Ring communication framework.

%files -f %{name}.lang
%_kf5_bindir/ring
%_kf5_bindir/ring-kde
%_kf5_datadir/metainfo/cx.ring.ring-kde.appdata.xml
%_kf5_applicationsdir/ring-kde.desktop
%_kf5_datadir/config.kcfg/ring-kde.kcfg
%_datadir/dbus-1/interfaces/cx.ring.ring-kde.xml
%_kf5_iconsdir/*/*/*/*
%_kf5_knotificationsdir/ring-kde.notifyrc
%dir %_kf5_datadir/kxmlgui5/ring-kde
%_kf5_datadir/kxmlgui5/ring-kde/ring-kdeui.rc
%_kf5_datadir/ring-kde/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%cmake_kf5

%make_build

%install
rm -rf %buildroot
%make_install -C build

%find_lang %{name} --all-name

# Fix gzipped-svg-icon
(
cd %{buildroot}%{_iconsdir}/hicolor/scalable/apps/
zcat ring-kde.svgz > ring-kde.svg && rm -f ring-kde.svgz
)


%changelog
* Fri Jun 30 2017 adrianomorselli <adrianomorselli> 2.3.0-2uplos2017
- imported for uplos
